import { NestMiddleware } from '@nestjs/common';
import { Request, Response, NextFunction } from 'express';
import { LoggerService } from "../utils/logger.service";
export declare class LoggerMiddleware implements NestMiddleware {
    private loggerService;
    private logger;
    constructor(loggerService: LoggerService);
    use(req: Request, res: Response, next: NextFunction): void;
}
